%define	upstream_name    Feed-Find
%define	upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Module for Syndication feed auto-discovery
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(LWP)
BuildRequires: perl(URI)
BuildRequires: perl-Class-ErrorHandler
BuildRequires: perl-HTML-Parser
BuildRequires: perl-URI
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
Perl Module for Syndication feed auto-discovery.

Feed::Find implements feed auto-discovery for finding syndication feeds, 
given a URI. It (currently) passes all of the auto-discovery tests at 
http://diveintomark.org/tests/client/autodiscovery/ .

Feed::Find will discover the following feed formats:
RSS 0.91
RSS 1.0
RSS 2.0
Atom

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
SKIP_SAX_INSTALL=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{perl_vendorlib}/Feed/Find*
%{_mandir}/*/*


%changelog
* Tue Feb 22 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 56570
- fix source path

  + dmorgan <dmorgan>
    - New version

* Wed Feb 16 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 52484
- update to 0.07

* Thu Jan 20 2011 jquelin <jquelin> 0.06-6.mga1
+ Revision: 26142
- mageia rebuild
- imported package perl-Feed-Find


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.06-6mdv2010.0
+ Revision: 430439
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.06-5mdv2009.0
+ Revision: 256866
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.06-3mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Mar 05 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.06-3mdv2007.0
+ Revision: 132931
- fix buildrequires
- Import perl-Feed-Find

* Fri Mar 02 2007 Shlomi Fish  0.06-2mdv2007.1
- changed the BuildArch to noarch.
- changed Requires to BuildRequires.

* Tue Feb 27 2007 Shlomi Fish  0.06-1mdv2007.1
- Initial release. Adapted the Cache-FastMmap spec for this one.

